﻿@{
    ViewBag.Title = "Upload File Application";
}
    <head>
        <link rel="stylesheet" href="~/Assets/css/bootstrap.css" />
        <link rel="stylesheet" href="~/Assets/css/bootstrap.css.map" />
        <link rel="stylesheet" href="~/Assets/css/datatables.css" />
        <link rel="stylesheet" href="~/Assets/css/datatables.min.css" />
    </head>
<body>
    <div class="container">
        <div class="row"style="padding-top: 50px;background-color:azure">
            <div class="col-lg-6 col-md-6 col-sm-6 col-xs-6">
                <input type="file" id="btnUpload" class="btn-block btn-info" formenctype="multipart/form-data" accept=".json"/>
            </div>
            <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2 ">
                <button type="button" id="btnCalculate" class="btn-block btn-success">Calculate</button>
            </div>
            <div class="col-lg-2 col-md-2 col-sm-2 col-xs-2">
                <button type="button" id="btnClear" class="btn-block btn-info">Clear</button>
            </div>
        </div>
        <div class="row" style="padding-top: 100px">
            <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                <table id="tableUploaded">
                    <thead>
                        <tr>
                            <th>
                                File name
                            </th>
                            <th>
                                Preorder
                            </th>
                            <th>
                                Postorder
                            </th>
                            <th>
                                Total
                            </th>
                            <th>
                                Action
                            </th>
                        </tr>
                    </thead>
                </table>
            </div>
        </div>
    </div>
</body>
<script src="~/Assets/js/JQuery.js"></script>
<script src="~/Assets/js/bootstrap.js"></script>
<script src="~/Assets/js/bootstrap.min.js"></script>
<script src="~/Assets/js/datatables.js"></script>
<script src="~/Assets/js/datatables.min.js"></script>
<script>
    var Calculated = false;

    const ChangeCalculate = () => {
        if (Calculated) {
            $('#btnCalculate').removeProp('disabled')
            Calculated = false;
        } else {
            $('#btnCalculate').prop('disabled')
            Calculated = true;
        }
    }

    $(document).ready(function () {
        $('#tableUploaded').DataTable()
    })
    $('#btnClear').on('click', () => {
        ChangeCalculate()
        $('#tableUploaded').rows.remove
    })
    $('#btnCalculate').on('click', () => {
        
        const reader = new FileReader()
        const file = $('#btnUpload').prop('files');
        reader.onload = () => {
            var resultJson = JSON.parse(reader.result)
            resultJson.map((i,index) => {
                
                var data = [i.name, i.left.name, i.right.name, (i.weight + i.right.weight + i.left.weight), '<button type="button" id="btn'+index+'" class="btn - block btn - success">Download</button>']
                
                $('#tableUploaded').DataTable().row.add(data).draw(false)
            })
            ChangeCalculate()
        }
        if (file.length > 0) {
            reader.readAsText(file[0])
        }        
    })
</script>